<html>
<head>
<title>RManNotes: Writing Shaders</title>
</head>

<body bgcolor="#f9f9b1" background="notepad.gif" link="801010" vlink="101080" alink="108010"> <img alt="RManNotes" align=center src="header.gif">

<img align=center hspace=10 src="writing_shaders.gif">

<p><img src="black_line.gif"></p>

<p>
<i>previous</i>
|
<a href="intro.html">next</a>
|
<i>writing shaders: <b>contents</b></i>
|
<a href="../index.html">rmannotes: <b>top</b></a>
</i>
</p>

<p><img src="black_line.gif"></p>

<h2>Contents:</h2>
<ul>
<li><a href="intro.html">Introduction</a>
<ul>
<li><a href="intro.html#method">why follow a methodology?</a>
<li><a href="intro.html#approach">the layered approach</a>
</ul>
<li><a href="surf1.html">Surface Shaders, Part I</a>
<ul>
<li><a href="surf1.html#vars">variables</a>
<li><a href="surf1.html#layers">layers and compositing</a>
</ul>
<li><a href="surf2.html">Surface Shaders, Part II</a>
<ul>
<li><a href="surf2.html#illum">illumination</a>
<li><a href="surf2.html#hetero">heterogeneous illumination</a>
</ul>
<li><a href="disp.html">Displacement Shaders</a>
<ul>
<li><a href="disp.html#vars">variables</a>
<li><a href="disp.html#layers">layers, compositing, displacement</a>
<li><a href="disp.html#smooth">dealing with smooth-shaded polygons</a>
</ul>
</ul>

<p>
In depth topics located in separate sections:
<ul>
<li><a href="../RegularPatterns">Regular Patterns</a>
<li><a href="../StochasticPatterns">Stochastic Patterns</a>
</ul>
</p>

<p>
The file <a href="../rmannotes.sl">rmannotes.sl</a> is required
to compile most of the shaders in RManNotes. It defines several
convenience functions such as pulse and repeat.
</p>

<p><img src="black_line.gif"></p> <small> <p><i>RManNotes</i> is Copyright &copy; 1995, 1996 Stephen F. May</p> <p> <i>Any comments or suggestions appreciated.</i> <address><a href="http://www.cgrg.ohio-state.edu/~smay">Steve May</a> (<a href="mailto:smay@cgrg.ohio-state.edu">smay@cgrg.ohio-state.edu</a>)</address> </p> </small>

<p align=right><small><i>Last Modified: 5/7/96</i></small></p>

</body>
</html>
